SlideEventHandler File Reference
`#include <osg/Switch>`
`#include <osg/Timer>`
`#include <osg/ValueObject>`
`#include <osg/ImageSequence>`
`#include <osgGA/GUIEventHandler>`
`#include <osgViewer/Viewer>`
`#include <osgPresentation/CompileSlideCallback>`
`#include <osgPresentation/PropertyManager>`

Go to the source code of this file.

## Classes

struct | osgPresentation::JumpData
struct | osgPresentation::HomePosition
struct | osgPresentation::KeyPosition
struct | osgPresentation::LayerCallback
struct | osgPresentation::LayerAttributes
struct | osgPresentation::FilePathData
struct | osgPresentation::dereference_less
struct | osgPresentation::ObjectOperator
class | osgPresentation::ActiveOperators
class | osgPresentation::SlideEventHandler

## Namespaces

namespace | osgPresentation

## Macros

#define | SLIDEEVENTHANDLER 1

## Enumerations

enum | osgPresentation::Operation { osgPresentation::RUN , osgPresentation::LOAD , osgPresentation::EVENT , osgPresentation::JUMP , osgPresentation::FORWARD_MOUSE_EVENT , osgPresentation::FORWARD_TOUCH_EVENT }
| Operations related to click to run/load/key events. More...

## Macro Definition Documentation

## SLIDEEVENTHANDLER

#define SLIDEEVENTHANDLER 1